puts "Info:(TE) This block design file has been exported with Reference-Design Scripts from Trenz Electronic GmbH for Board Part:trenz.biz:te0808_es1:part0:1.0 with FPGA xczu9eg-ffvc900-1-i-es1 at 2016-09-22T14:02:41."
puts "Info:(TE) This block design file has been modified. Modifications labelled with comment tag  # #TE_MOD# on the Block-Design tcl-file."

################################################################
# This is a generated script based on design: zusys
#
# Though there are limitations about the generated script,
# the main purpose of this utility is to make learning
# IP Integrator Tcl commands easier.
################################################################

namespace eval _tcl {
proc get_script_folder {} {
   set script_path [file normalize [info script]]
   set script_folder [file dirname $script_path]
   return $script_folder
}
}
variable script_folder
set script_folder [_tcl::get_script_folder]

################################################################
# Check if script is running in correct Vivado version.
################################################################
set scripts_vivado_version 2016.2
set current_vivado_version [version -short]

if { [string first $scripts_vivado_version $current_vivado_version] == -1 } {
   puts ""
   catch {common::send_msg_id "BD_TCL-109" "ERROR" "This script was generated using Vivado <$scripts_vivado_version> and is being run in <$current_vivado_version> of Vivado. Please run the script in Vivado <$scripts_vivado_version> then open the design in Vivado <$current_vivado_version>. Upgrade the design by running \"Tools => Report => Report IP Status...\", then run write_bd_tcl to create an updated script."}

   return 1
}

################################################################
# START
################################################################

# To test this script, run the following commands from Vivado Tcl console:
# source zusys_script.tcl

# If there is no project opened, this script will create a
# project, but make sure you do not have an existing project
# <./myproj/project_1.xpr> in the current working folder.

set list_projs [get_projects -quiet]
if { $list_projs eq "" } {
   create_project project_1 myproj -part xczu9eg-ffvc900-1-i-es1
   set_property BOARD_PART trenz.biz:te0808_es1:part0:1.0 [current_project]
}


# CHANGE DESIGN NAME HERE
set design_name zusys

# If you do not already have an existing IP Integrator design open,
# you can create a design using the following command:
#    create_bd_design $design_name

# Creating design if needed
set errMsg ""
set nRet 0

set cur_design [current_bd_design -quiet]
set list_cells [get_bd_cells -quiet]

if { ${design_name} eq "" } {
   # USE CASES:
   #    1) Design_name not set

   set errMsg "Please set the variable <design_name> to a non-empty value."
   set nRet 1

} elseif { ${cur_design} ne "" && ${list_cells} eq "" } {
   # USE CASES:
   #    2): Current design opened AND is empty AND names same.
   #    3): Current design opened AND is empty AND names diff; design_name NOT in project.
   #    4): Current design opened AND is empty AND names diff; design_name exists in project.

   if { $cur_design ne $design_name } {
      common::send_msg_id "BD_TCL-001" "INFO" "Changing value of <design_name> from <$design_name> to <$cur_design> since current design is empty."
      set design_name [get_property NAME $cur_design]
   }
   common::send_msg_id "BD_TCL-002" "INFO" "Constructing design in IPI design <$cur_design>..."

} elseif { ${cur_design} ne "" && $list_cells ne "" && $cur_design eq $design_name } {
   # USE CASES:
   #    5) Current design opened AND has components AND same names.

   set errMsg "Design <$design_name> already exists in your project, please set the variable <design_name> to another value."
   set nRet 1
} elseif { [get_files -quiet ${design_name}.bd] ne "" } {
   # USE CASES: 
   #    6) Current opened design, has components, but diff names, design_name exists in project.
   #    7) No opened design, design_name exists in project.

   set errMsg "Design <$design_name> already exists in your project, please set the variable <design_name> to another value."
   set nRet 2

} else {
   # USE CASES:
   #    8) No opened design, design_name not in project.
   #    9) Current opened design, has components, but diff names, design_name not in project.

   common::send_msg_id "BD_TCL-003" "INFO" "Currently there is no design <$design_name> in project, so creating one..."

   create_bd_design $design_name

   common::send_msg_id "BD_TCL-004" "INFO" "Making design <$design_name> as current_bd_design."
   current_bd_design $design_name

}

common::send_msg_id "BD_TCL-005" "INFO" "Currently the variable <design_name> is equal to \"$design_name\"."

if { $nRet != 0 } {
   catch {common::send_msg_id "BD_TCL-114" "ERROR" $errMsg}
   return $nRet
}

##################################################################
# DESIGN PROCs
##################################################################



# Procedure to create entire design; Provide argument to make
# procedure reusable. If parentCell is "", will use root.
proc create_root_design { parentCell } {

  variable script_folder

  if { $parentCell eq "" } {
     set parentCell [get_bd_cells /]
  }

  # Get object for parentCell
  set parentObj [get_bd_cells $parentCell]
  if { $parentObj == "" } {
     catch {common::send_msg_id "BD_TCL-100" "ERROR" "Unable to find parent cell <$parentCell>!"}
     return
  }

  # Make sure parentObj is hier blk
  set parentType [get_property TYPE $parentObj]
  if { $parentType ne "hier" } {
     catch {common::send_msg_id "BD_TCL-101" "ERROR" "Parent <$parentObj> has TYPE = <$parentType>. Expected to be <hier>."}
     return
  }

  # Save current instance; Restore later
  set oldCurInst [current_bd_instance .]

  # Set parent object as current
  current_bd_instance $parentObj


  # Create interface ports
  set B128_CLK0 [ create_bd_intf_port -mode Slave -vlnv xilinx.com:interface:diff_clock_rtl:1.0 B128_CLK0 ]
  set B229_CLK1 [ create_bd_intf_port -mode Slave -vlnv xilinx.com:interface:diff_clock_rtl:1.0 B229_CLK1 ]
  set B230_CLK0 [ create_bd_intf_port -mode Slave -vlnv xilinx.com:interface:diff_clock_rtl:1.0 B230_CLK0 ]
  set BASE [ create_bd_intf_port -mode Master -vlnv xilinx.com:user:SC0808BF_bus_rtl:1.0 BASE ]
  set si570 [ create_bd_intf_port -mode Slave -vlnv xilinx.com:interface:diff_clock_rtl:1.0 si570 ]

  # Create ports

  # Create instance: GTBUFG, and set properties
  set GTBUFG [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 GTBUFG ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {BUFG_GT} \
 ] $GTBUFG

  # Create instance: HIGH, and set properties
  set HIGH [ create_bd_cell -type ip -vlnv xilinx.com:ip:xlconstant:1.1 HIGH ]

  # Create instance: IBUFDSGTE, and set properties
  set IBUFDSGTE [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 IBUFDSGTE ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {IBUFDSGTE} \
 ] $IBUFDSGTE

  # Create instance: LOW, and set properties
  set LOW [ create_bd_cell -type ip -vlnv xilinx.com:ip:xlconstant:1.1 LOW ]
  set_property -dict [ list \
CONFIG.CONST_VAL {0} \
 ] $LOW

  # Create instance: SC0808BF_0, and set properties
  set SC0808BF_0 [ create_bd_cell -type ip -vlnv trenz.biz:user:SC0808BF:1.0 SC0808BF_0 ]

  # Create instance: clk_wiz_0, and set properties
  set clk_wiz_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:clk_wiz:5.3 clk_wiz_0 ]
  set_property -dict [ list \
CONFIG.CLKIN1_JITTER_PS {108.69} \
CONFIG.CLKOUT1_JITTER {120.281} \
CONFIG.CLKOUT1_PHASE_ERROR {90.079} \
CONFIG.CLKOUT2_JITTER {161.721} \
CONFIG.CLKOUT2_PHASE_ERROR {90.079} \
CONFIG.CLKOUT2_REQUESTED_OUT_FREQ {25.000} \
CONFIG.CLKOUT2_USED {true} \
CONFIG.MMCM_CLKFBOUT_MULT_F {12.500} \
CONFIG.MMCM_CLKIN1_PERIOD {10.869} \
CONFIG.MMCM_CLKIN2_PERIOD {10.0} \
CONFIG.MMCM_CLKOUT0_DIVIDE_F {11.500} \
CONFIG.MMCM_CLKOUT1_DIVIDE {46} \
CONFIG.MMCM_DIVCLK_DIVIDE {1} \
CONFIG.NUM_OUT_CLKS {2} \
CONFIG.USE_RESET {false} \
 ] $clk_wiz_0

  # Need to retain value_src of defaults
  set_property -dict [ list \
CONFIG.CLKIN1_JITTER_PS.VALUE_SRC {DEFAULT} \
CONFIG.MMCM_CLKIN1_PERIOD.VALUE_SRC {DEFAULT} \
CONFIG.MMCM_CLKIN2_PERIOD.VALUE_SRC {DEFAULT} \
 ] $clk_wiz_0

  # Create instance: dp_aux_mon_0, and set properties
  set dp_aux_mon_0 [ create_bd_cell -type ip -vlnv trenz.biz:user:dp_aux_mon:1.0 dp_aux_mon_0 ]

  # Create instance: ila_0, and set properties
  set ila_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:ila:6.1 ila_0 ]
  set_property -dict [ list \
CONFIG.ALL_PROBE_SAME_MU_CNT {2} \
CONFIG.C_DATA_DEPTH {65536} \
CONFIG.C_ENABLE_ILA_AXI_MON {false} \
CONFIG.C_EN_STRG_QUAL {1} \
CONFIG.C_MONITOR_TYPE {Native} \
CONFIG.C_NUM_OF_PROBES {5} \
CONFIG.C_PROBE0_MU_CNT {2} \
CONFIG.C_PROBE1_MU_CNT {2} \
CONFIG.C_PROBE2_MU_CNT {2} \
CONFIG.C_PROBE3_MU_CNT {2} \
CONFIG.C_PROBE4_MU_CNT {2} \
 ] $ila_0

  # Create instance: ila_1, and set properties
  set ila_1 [ create_bd_cell -type ip -vlnv xilinx.com:ip:ila:6.1 ila_1 ]
  set_property -dict [ list \
CONFIG.C_DATA_DEPTH {32768} \
CONFIG.C_ENABLE_ILA_AXI_MON {false} \
CONFIG.C_MONITOR_TYPE {Native} \
CONFIG.C_NUM_OF_PROBES {3} \
 ] $ila_1

  # Create instance: ila_2, and set properties
  set ila_2 [ create_bd_cell -type ip -vlnv xilinx.com:ip:ila:6.1 ila_2 ]
  set_property -dict [ list \
CONFIG.ALL_PROBE_SAME_MU_CNT {2} \
CONFIG.C_DATA_DEPTH {2048} \
CONFIG.C_EN_STRG_QUAL {1} \
CONFIG.C_MONITOR_TYPE {AXI} \
CONFIG.C_NUM_OF_PROBES {9} \
CONFIG.C_PROBE0_MU_CNT {2} \
CONFIG.C_PROBE1_MU_CNT {2} \
CONFIG.C_PROBE2_MU_CNT {2} \
CONFIG.C_PROBE3_MU_CNT {2} \
CONFIG.C_PROBE4_MU_CNT {2} \
CONFIG.C_PROBE5_MU_CNT {2} \
CONFIG.C_PROBE6_MU_CNT {2} \
CONFIG.C_PROBE7_MU_CNT {2} \
CONFIG.C_PROBE8_MU_CNT {2} \
CONFIG.C_SLOT_0_AXI_PROTOCOL {AXI4S} \
 ] $ila_2

  # Need to retain value_src of defaults
  set_property -dict [ list \
CONFIG.C_MONITOR_TYPE.VALUE_SRC {DEFAULT} \
 ] $ila_2

  # Create instance: labtools_fmeter_0, and set properties
  set labtools_fmeter_0 [ create_bd_cell -type ip -vlnv trenz.biz:user:labtools_fmeter:1.0 labtools_fmeter_0 ]

  # Create instance: proc_sys_reset_0, and set properties
  set proc_sys_reset_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:proc_sys_reset:5.0 proc_sys_reset_0 ]

  # Create instance: proc_sys_reset_1, and set properties
  set proc_sys_reset_1 [ create_bd_cell -type ip -vlnv xilinx.com:ip:proc_sys_reset:5.0 proc_sys_reset_1 ]

  # Create instance: util_ds_buf_0, and set properties
  set util_ds_buf_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 util_ds_buf_0 ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {IBUFDS} \
 ] $util_ds_buf_0

  # Create instance: util_ds_buf_1, and set properties
  set util_ds_buf_1 [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 util_ds_buf_1 ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {IBUFDSGTE} \
 ] $util_ds_buf_1

  # Create instance: util_ds_buf_2, and set properties
  set util_ds_buf_2 [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 util_ds_buf_2 ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {IBUFDSGTE} \
 ] $util_ds_buf_2

  # Create instance: util_ds_buf_3, and set properties
  set util_ds_buf_3 [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 util_ds_buf_3 ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {BUFG_GT} \
 ] $util_ds_buf_3

  # Create instance: util_ds_buf_4, and set properties
  set util_ds_buf_4 [ create_bd_cell -type ip -vlnv xilinx.com:ip:util_ds_buf:2.1 util_ds_buf_4 ]
  set_property -dict [ list \
CONFIG.C_BUF_TYPE {BUFG_GT} \
 ] $util_ds_buf_4

  # Create instance: vio_0, and set properties
  set vio_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:vio:3.0 vio_0 ]
  set_property -dict [ list \
CONFIG.C_NUM_PROBE_IN {10} \
CONFIG.C_NUM_PROBE_OUT {2} \
CONFIG.C_PROBE_OUT0_WIDTH {32} \
CONFIG.C_PROBE_OUT1_WIDTH {32} \
 ] $vio_0

  # Create instance: xlconcat_0, and set properties
  set xlconcat_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:xlconcat:2.1 xlconcat_0 ]
  set_property -dict [ list \
CONFIG.NUM_PORTS {4} \
 ] $xlconcat_0

  # Create instance: zynq_ultra_ps_e_0, and set properties
  set zynq_ultra_ps_e_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:zynq_ultra_ps_e:1.2 zynq_ultra_ps_e_0 ]
# #TE_MOD#_Add next line#
  apply_bd_automation -rule xilinx.com:bd_rule:zynq_ultra_ps_e -config {apply_board_preset "1" }  [get_bd_cells zynq_ultra_ps_e_0]
# #TE_MOD#_Add next line#
  set tcl_ext [];if { [catch {set tcl_ext [glob -join -dir ${TE::BOARDDEF_PATH}/carrier_extension/ *_preset.tcl]}] } {};foreach carrier_ext $tcl_ext { source  $carrier_ext};

  # Create interface connections
  connect_bd_intf_net -intf_net CLK_IN_D_1 [get_bd_intf_ports si570] [get_bd_intf_pins util_ds_buf_0/CLK_IN_D]
  connect_bd_intf_net -intf_net CLK_IN_D_2 [get_bd_intf_ports B230_CLK0] [get_bd_intf_pins IBUFDSGTE/CLK_IN_D]
  connect_bd_intf_net -intf_net CLK_IN_D_3 [get_bd_intf_ports B229_CLK1] [get_bd_intf_pins util_ds_buf_2/CLK_IN_D]
  connect_bd_intf_net -intf_net CLK_IN_D_4 [get_bd_intf_ports B128_CLK0] [get_bd_intf_pins util_ds_buf_1/CLK_IN_D]
  connect_bd_intf_net -intf_net SC0808BF_0_BASE [get_bd_intf_ports BASE] [get_bd_intf_pins SC0808BF_0/BASE]
connect_bd_intf_net -intf_net dp_aux_mon_0_M0_AXIS [get_bd_intf_pins dp_aux_mon_0/M0_AXIS] [get_bd_intf_pins ila_2/SLOT_0_AXIS]

  # Create port connections
  connect_bd_net -net GTBUFG_BUFG_GT_O [get_bd_pins GTBUFG/BUFG_GT_O] [get_bd_pins xlconcat_0/In2]
  connect_bd_net -net HIGH_dout [get_bd_pins GTBUFG/BUFG_GT_CE] [get_bd_pins HIGH/dout] [get_bd_pins util_ds_buf_3/BUFG_GT_CE] [get_bd_pins util_ds_buf_4/BUFG_GT_CE]
  connect_bd_net -net IBUFDSGTE_IBUF_DS_ODIV2 [get_bd_pins GTBUFG/BUFG_GT_I] [get_bd_pins IBUFDSGTE/IBUF_DS_ODIV2]
  connect_bd_net -net LOW_dout [get_bd_pins LOW/dout] [get_bd_pins zynq_ultra_ps_e_0/emio_hub_port_overcrnt_usb2_0] [get_bd_pins zynq_ultra_ps_e_0/emio_hub_port_overcrnt_usb3_0] [get_bd_pins zynq_ultra_ps_e_0/emio_sdio1_wp] [get_bd_pins zynq_ultra_ps_e_0/pl_ps_irq0]
  connect_bd_net -net SC0808BF_0_dbg_rgpio2_out [get_bd_pins SC0808BF_0/dbg_rgpio2_out] [get_bd_pins vio_0/probe_in9]
  connect_bd_net -net SC0808BF_0_dbg_rgpio_out [get_bd_pins SC0808BF_0/dbg_rgpio_out] [get_bd_pins vio_0/probe_in8]
  connect_bd_net -net clk_wiz_0_clk_out1 [get_bd_pins clk_wiz_0/clk_out1] [get_bd_pins dp_aux_mon_0/m0_axis_aclk] [get_bd_pins ila_0/clk] [get_bd_pins ila_1/clk] [get_bd_pins ila_2/clk] [get_bd_pins labtools_fmeter_0/refclk] [get_bd_pins proc_sys_reset_0/slowest_sync_clk] [get_bd_pins vio_0/clk] [get_bd_pins zynq_ultra_ps_e_0/maxihpm0_lpd_aclk]
  connect_bd_net -net clk_wiz_0_clk_out2 [get_bd_pins SC0808BF_0/sys_clock] [get_bd_pins clk_wiz_0/clk_out2] [get_bd_pins proc_sys_reset_1/slowest_sync_clk]
  connect_bd_net -net clk_wiz_0_locked [get_bd_pins SC0808BF_0/LED] [get_bd_pins clk_wiz_0/locked]
  connect_bd_net -net dp_aux_data_in_1 [get_bd_pins SC0808BF_0/PS_AUX_DI] [get_bd_pins dp_aux_mon_0/dpaux_rx] [get_bd_pins ila_0/probe1] [get_bd_pins vio_0/probe_in1] [get_bd_pins zynq_ultra_ps_e_0/dp_aux_data_in]
  connect_bd_net -net dp_aux_mon_0_dbg_bitvalid [get_bd_pins dp_aux_mon_0/dbg_bitvalid] [get_bd_pins ila_0/probe4]
  connect_bd_net -net dp_hot_plug_detect_1 [get_bd_pins SC0808BF_0/PS_HPD] [get_bd_pins dp_aux_mon_0/dpaux_hpd] [get_bd_pins ila_0/probe0] [get_bd_pins vio_0/probe_in0] [get_bd_pins zynq_ultra_ps_e_0/dp_hot_plug_detect]
  connect_bd_net -net labtools_fmeter_0_F0 [get_bd_pins labtools_fmeter_0/F0] [get_bd_pins vio_0/probe_in4]
  connect_bd_net -net labtools_fmeter_0_F1 [get_bd_pins labtools_fmeter_0/F1] [get_bd_pins vio_0/probe_in5]
  connect_bd_net -net labtools_fmeter_0_F2 [get_bd_pins labtools_fmeter_0/F2] [get_bd_pins vio_0/probe_in6]
  connect_bd_net -net labtools_fmeter_0_F3 [get_bd_pins labtools_fmeter_0/F3] [get_bd_pins vio_0/probe_in7]
  connect_bd_net -net proc_sys_reset_0_peripheral_aresetn [get_bd_pins dp_aux_mon_0/m0_axis_aresetn] [get_bd_pins proc_sys_reset_0/peripheral_aresetn]
  connect_bd_net -net proc_sys_reset_1_peripheral_aresetn [get_bd_pins SC0808BF_0/sys_resetn] [get_bd_pins proc_sys_reset_1/peripheral_aresetn]
  connect_bd_net -net util_ds_buf_0_IBUF_OUT [get_bd_pins util_ds_buf_0/IBUF_OUT] [get_bd_pins xlconcat_0/In0]
  connect_bd_net -net util_ds_buf_1_IBUF_DS_ODIV2 [get_bd_pins util_ds_buf_1/IBUF_DS_ODIV2] [get_bd_pins util_ds_buf_3/BUFG_GT_I]
  connect_bd_net -net util_ds_buf_2_IBUF_DS_ODIV2 [get_bd_pins util_ds_buf_2/IBUF_DS_ODIV2] [get_bd_pins util_ds_buf_4/BUFG_GT_I]
  connect_bd_net -net util_ds_buf_3_BUFG_GT_O [get_bd_pins util_ds_buf_3/BUFG_GT_O] [get_bd_pins xlconcat_0/In3] [get_bd_pins zynq_ultra_ps_e_0/dp_video_in_clk]
  connect_bd_net -net util_ds_buf_4_BUFG_GT_O [get_bd_pins util_ds_buf_4/BUFG_GT_O] [get_bd_pins xlconcat_0/In1]
  connect_bd_net -net vio_0_probe_out0 [get_bd_pins SC0808BF_0/dbg_rgpio_in] [get_bd_pins vio_0/probe_out0]
  connect_bd_net -net vio_0_probe_out1 [get_bd_pins SC0808BF_0/dbg_rgpio2_in] [get_bd_pins vio_0/probe_out1]
  connect_bd_net -net xlconcat_0_dout [get_bd_pins labtools_fmeter_0/fin] [get_bd_pins xlconcat_0/dout]
  connect_bd_net -net zynq_ultra_ps_e_0_dp_aux_data_oe_n1 [get_bd_pins SC0808BF_0/PS_AUX_OE] [get_bd_pins dp_aux_mon_0/dpaux_txen] [get_bd_pins ila_0/probe3] [get_bd_pins vio_0/probe_in3] [get_bd_pins zynq_ultra_ps_e_0/dp_aux_data_oe_n]
  connect_bd_net -net zynq_ultra_ps_e_0_dp_aux_data_out1 [get_bd_pins SC0808BF_0/PS_AUX_DO] [get_bd_pins dp_aux_mon_0/dpaux_tx] [get_bd_pins ila_0/probe2] [get_bd_pins vio_0/probe_in2] [get_bd_pins zynq_ultra_ps_e_0/dp_aux_data_out]
  connect_bd_net -net zynq_ultra_ps_e_0_dp_live_video_de_out [get_bd_pins ila_1/probe2] [get_bd_pins zynq_ultra_ps_e_0/dp_live_video_de_out]
  connect_bd_net -net zynq_ultra_ps_e_0_dp_video_out_hsync [get_bd_pins ila_1/probe0] [get_bd_pins zynq_ultra_ps_e_0/dp_video_out_hsync]
  connect_bd_net -net zynq_ultra_ps_e_0_dp_video_out_vsync [get_bd_pins ila_1/probe1] [get_bd_pins zynq_ultra_ps_e_0/dp_video_out_vsync]
  connect_bd_net -net zynq_ultra_ps_e_0_pl_clk0 [get_bd_pins clk_wiz_0/clk_in1] [get_bd_pins zynq_ultra_ps_e_0/pl_clk0]
  connect_bd_net -net zynq_ultra_ps_e_0_pl_resetn0 [get_bd_pins proc_sys_reset_0/ext_reset_in] [get_bd_pins proc_sys_reset_1/ext_reset_in] [get_bd_pins zynq_ultra_ps_e_0/pl_resetn0]

  # Create address segments

  # Perform GUI Layout
  regenerate_bd_layout -layout_string {
   guistr: "# # String gsaved with Nlview 6.5.12  2016-01-29 bk=1.3547 VDI=39 GEI=35 GUI=JA:1.6
#  -string -flagsOSRD
preplace port B128_CLK0 -pg 1 -y 710 -defaultsOSRD
preplace port BASE -pg 1 -y 160 -defaultsOSRD
preplace port B230_CLK0 -pg 1 -y 910 -defaultsOSRD
preplace port B229_CLK1 -pg 1 -y 610 -defaultsOSRD
preplace port si570 -pg 1 -y 1000 -defaultsOSRD
preplace inst vio_0 -pg 1 -lvl 6 -y 220 -defaultsOSRD
preplace inst util_ds_buf_1 -pg 1 -lvl 1 -y 710 -defaultsOSRD
preplace inst zynq_ultra_ps_e_0 -pg 1 -lvl 3 -y 290 -defaultsOSRD
preplace inst util_ds_buf_2 -pg 1 -lvl 2 -y 610 -defaultsOSRD
preplace inst util_ds_buf_3 -pg 1 -lvl 2 -y 770 -defaultsOSRD
preplace inst dp_aux_mon_0 -pg 1 -lvl 6 -y 520 -defaultsOSRD
preplace inst HIGH -pg 1 -lvl 1 -y 800 -defaultsOSRD
preplace inst util_ds_buf_4 -pg 1 -lvl 3 -y 670 -defaultsOSRD
preplace inst xlconcat_0 -pg 1 -lvl 4 -y 860 -defaultsOSRD
preplace inst proc_sys_reset_0 -pg 1 -lvl 5 -y 440 -defaultsOSRD
preplace inst proc_sys_reset_1 -pg 1 -lvl 6 -y 730 -defaultsOSRD
preplace inst SC0808BF_0 -pg 1 -lvl 7 -y 210 -defaultsOSRD
preplace inst LOW -pg 1 -lvl 2 -y 40 -defaultsOSRD
preplace inst GTBUFG -pg 1 -lvl 3 -y 870 -defaultsOSRD
preplace inst ila_0 -pg 1 -lvl 7 -y 440 -defaultsOSRD
preplace inst ila_1 -pg 1 -lvl 5 -y 90 -defaultsOSRD
preplace inst labtools_fmeter_0 -pg 1 -lvl 5 -y 260 -defaultsOSRD
preplace inst ila_2 -pg 1 -lvl 7 -y 580 -defaultsOSRD
preplace inst clk_wiz_0 -pg 1 -lvl 4 -y 610 -defaultsOSRD
preplace inst IBUFDSGTE -pg 1 -lvl 2 -y 910 -defaultsOSRD
preplace inst util_ds_buf_0 -pg 1 -lvl 3 -y 1000 -defaultsOSRD
preplace netloc zynq_ultra_ps_e_0_dp_aux_data_out1 1 3 4 NJ 330 NJ 350 1950 400 2320
preplace netloc clk_wiz_0_locked 1 4 3 NJ 10 NJ 10 2340
preplace netloc zynq_ultra_ps_e_0_pl_clk0 1 3 1 1300
preplace netloc zynq_ultra_ps_e_0_dp_live_video_de_out 1 3 2 NJ 120 NJ
preplace netloc labtools_fmeter_0_F0 1 5 1 N
preplace netloc util_ds_buf_2_IBUF_DS_ODIV2 1 2 1 NJ
preplace netloc util_ds_buf_1_IBUF_DS_ODIV2 1 1 1 NJ
preplace netloc labtools_fmeter_0_F1 1 5 1 N
preplace netloc CLK_IN_D_1 1 0 3 NJ 1000 NJ 1000 NJ
preplace netloc dp_aux_mon_0_M0_AXIS 1 6 1 2290
preplace netloc zynq_ultra_ps_e_0_dp_aux_data_oe_n1 1 3 4 NJ 170 NJ 170 1930 70 2290
preplace netloc proc_sys_reset_1_peripheral_aresetn 1 6 1 2310
preplace netloc labtools_fmeter_0_F2 1 5 1 N
preplace netloc dp_aux_data_in_1 1 2 6 580 0 NJ 0 NJ 0 1920 370 2340 320 2890
preplace netloc CLK_IN_D_2 1 0 2 NJ 910 NJ
preplace netloc labtools_fmeter_0_F3 1 5 1 N
preplace netloc CLK_IN_D_3 1 0 2 NJ 610 NJ
preplace netloc vio_0_probe_out0 1 6 1 N
preplace netloc util_ds_buf_0_IBUF_OUT 1 3 1 NJ
preplace netloc IBUFDSGTE_IBUF_DS_ODIV2 1 2 1 NJ
preplace netloc CLK_IN_D_4 1 0 1 NJ
preplace netloc zynq_ultra_ps_e_0_dp_video_out_vsync 1 3 2 NJ 100 NJ
preplace netloc xlconcat_0_dout 1 4 1 1560
preplace netloc vio_0_probe_out1 1 6 1 N
preplace netloc SC0808BF_0_dbg_rgpio_out 1 5 3 1960 30 NJ 30 2910
preplace netloc util_ds_buf_3_BUFG_GT_O 1 2 2 560 770 1300
preplace netloc dp_aux_mon_0_dbg_bitvalid 1 6 1 2320
preplace netloc clk_wiz_0_clk_out1 1 2 5 590 10 NJ 10 1520 540 1940 420 2330
preplace netloc zynq_ultra_ps_e_0_pl_resetn0 1 3 3 NJ 390 1530 710 NJ
preplace netloc proc_sys_reset_0_peripheral_aresetn 1 5 1 1890
preplace netloc dp_hot_plug_detect_1 1 2 6 590 560 NJ 530 NJ 530 1910 390 2300 330 2880
preplace netloc clk_wiz_0_clk_out2 1 4 3 NJ 610 1900 60 NJ
preplace netloc LOW_dout 1 2 2 570 20 1290
preplace netloc HIGH_dout 1 1 2 260 670 580
preplace netloc SC0808BF_0_BASE 1 7 1 N
preplace netloc zynq_ultra_ps_e_0_dp_video_out_hsync 1 3 2 NJ 80 NJ
preplace netloc GTBUFG_BUFG_GT_O 1 3 1 N
preplace netloc util_ds_buf_4_BUFG_GT_O 1 3 1 1320
preplace netloc SC0808BF_0_dbg_rgpio2_out 1 5 3 1970 40 NJ 40 2900
levelinfo -pg 1 -20 130 410 940 1430 1730 2130 2630 2940 -top -10 -bot 1050
",
}

  # Restore current instance
  current_bd_instance $oldCurInst

  save_bd_design
}
# End of create_root_design()


##################################################################
# MAIN FLOW
##################################################################

create_root_design ""



